# source: http://localhost:4466
# timestamp: Thu Jul 19 2018 14:02:41 GMT-0300 (GMT-03:00)

type AggregateEdition {
  count: Int!
}

type AggregateHackathon {
  count: Int!
}

type BatchPayload {
  """The number of nodes that have been affected by the Batch operation."""
  count: Long!
}

type Edition implements Node {
  id: ID!
  hackathon(where: HackathonWhereInput): Hackathon!
  description: String
  location: String
  requirement: String
  reg_period_start: String!
  reg_period_end: String!
  date_start: String!
  date_end: String!
  theme: String
  rules: String
}

"""A connection to a list of items."""
type EditionConnection {
  """Information to aid in pagination."""
  pageInfo: PageInfo!

  """A list of edges."""
  edges: [EditionEdge]!
  aggregate: AggregateEdition!
}

input EditionCreateInput {
  description: String
  location: String
  requirement: String
  reg_period_start: String!
  reg_period_end: String!
  date_start: String!
  date_end: String!
  theme: String
  rules: String
  hackathon: HackathonCreateOneInput!
}

"""An edge in a connection."""
type EditionEdge {
  """The item at the end of the edge."""
  node: Edition!

  """A cursor for use in pagination."""
  cursor: String!
}

enum EditionOrderByInput {
  id_ASC
  id_DESC
  description_ASC
  description_DESC
  location_ASC
  location_DESC
  requirement_ASC
  requirement_DESC
  reg_period_start_ASC
  reg_period_start_DESC
  reg_period_end_ASC
  reg_period_end_DESC
  date_start_ASC
  date_start_DESC
  date_end_ASC
  date_end_DESC
  theme_ASC
  theme_DESC
  rules_ASC
  rules_DESC
  updatedAt_ASC
  updatedAt_DESC
  createdAt_ASC
  createdAt_DESC
}

type EditionPreviousValues {
  id: ID!
  description: String
  location: String
  requirement: String
  reg_period_start: String!
  reg_period_end: String!
  date_start: String!
  date_end: String!
  theme: String
  rules: String
}

type EditionSubscriptionPayload {
  mutation: MutationType!
  node: Edition
  updatedFields: [String!]
  previousValues: EditionPreviousValues
}

input EditionSubscriptionWhereInput {
  """Logical AND on all given filters."""
  AND: [EditionSubscriptionWhereInput!]

  """Logical OR on all given filters."""
  OR: [EditionSubscriptionWhereInput!]

  """Logical NOT on all given filters combined by AND."""
  NOT: [EditionSubscriptionWhereInput!]

  """
  The subscription event gets dispatched when it's listed in mutation_in
  """
  mutation_in: [MutationType!]

  """
  The subscription event gets only dispatched when one of the updated fields names is included in this list
  """
  updatedFields_contains: String

  """
  The subscription event gets only dispatched when all of the field names included in this list have been updated
  """
  updatedFields_contains_every: [String!]

  """
  The subscription event gets only dispatched when some of the field names included in this list have been updated
  """
  updatedFields_contains_some: [String!]
  node: EditionWhereInput
}

input EditionUpdateInput {
  description: String
  location: String
  requirement: String
  reg_period_start: String
  reg_period_end: String
  date_start: String
  date_end: String
  theme: String
  rules: String
  hackathon: HackathonUpdateOneInput
}

input EditionWhereInput {
  """Logical AND on all given filters."""
  AND: [EditionWhereInput!]

  """Logical OR on all given filters."""
  OR: [EditionWhereInput!]

  """Logical NOT on all given filters combined by AND."""
  NOT: [EditionWhereInput!]
  id: ID

  """All values that are not equal to given value."""
  id_not: ID

  """All values that are contained in given list."""
  id_in: [ID!]

  """All values that are not contained in given list."""
  id_not_in: [ID!]

  """All values less than the given value."""
  id_lt: ID

  """All values less than or equal the given value."""
  id_lte: ID

  """All values greater than the given value."""
  id_gt: ID

  """All values greater than or equal the given value."""
  id_gte: ID

  """All values containing the given string."""
  id_contains: ID

  """All values not containing the given string."""
  id_not_contains: ID

  """All values starting with the given string."""
  id_starts_with: ID

  """All values not starting with the given string."""
  id_not_starts_with: ID

  """All values ending with the given string."""
  id_ends_with: ID

  """All values not ending with the given string."""
  id_not_ends_with: ID
  description: String

  """All values that are not equal to given value."""
  description_not: String

  """All values that are contained in given list."""
  description_in: [String!]

  """All values that are not contained in given list."""
  description_not_in: [String!]

  """All values less than the given value."""
  description_lt: String

  """All values less than or equal the given value."""
  description_lte: String

  """All values greater than the given value."""
  description_gt: String

  """All values greater than or equal the given value."""
  description_gte: String

  """All values containing the given string."""
  description_contains: String

  """All values not containing the given string."""
  description_not_contains: String

  """All values starting with the given string."""
  description_starts_with: String

  """All values not starting with the given string."""
  description_not_starts_with: String

  """All values ending with the given string."""
  description_ends_with: String

  """All values not ending with the given string."""
  description_not_ends_with: String
  location: String

  """All values that are not equal to given value."""
  location_not: String

  """All values that are contained in given list."""
  location_in: [String!]

  """All values that are not contained in given list."""
  location_not_in: [String!]

  """All values less than the given value."""
  location_lt: String

  """All values less than or equal the given value."""
  location_lte: String

  """All values greater than the given value."""
  location_gt: String

  """All values greater than or equal the given value."""
  location_gte: String

  """All values containing the given string."""
  location_contains: String

  """All values not containing the given string."""
  location_not_contains: String

  """All values starting with the given string."""
  location_starts_with: String

  """All values not starting with the given string."""
  location_not_starts_with: String

  """All values ending with the given string."""
  location_ends_with: String

  """All values not ending with the given string."""
  location_not_ends_with: String
  requirement: String

  """All values that are not equal to given value."""
  requirement_not: String

  """All values that are contained in given list."""
  requirement_in: [String!]

  """All values that are not contained in given list."""
  requirement_not_in: [String!]

  """All values less than the given value."""
  requirement_lt: String

  """All values less than or equal the given value."""
  requirement_lte: String

  """All values greater than the given value."""
  requirement_gt: String

  """All values greater than or equal the given value."""
  requirement_gte: String

  """All values containing the given string."""
  requirement_contains: String

  """All values not containing the given string."""
  requirement_not_contains: String

  """All values starting with the given string."""
  requirement_starts_with: String

  """All values not starting with the given string."""
  requirement_not_starts_with: String

  """All values ending with the given string."""
  requirement_ends_with: String

  """All values not ending with the given string."""
  requirement_not_ends_with: String
  reg_period_start: String

  """All values that are not equal to given value."""
  reg_period_start_not: String

  """All values that are contained in given list."""
  reg_period_start_in: [String!]

  """All values that are not contained in given list."""
  reg_period_start_not_in: [String!]

  """All values less than the given value."""
  reg_period_start_lt: String

  """All values less than or equal the given value."""
  reg_period_start_lte: String

  """All values greater than the given value."""
  reg_period_start_gt: String

  """All values greater than or equal the given value."""
  reg_period_start_gte: String

  """All values containing the given string."""
  reg_period_start_contains: String

  """All values not containing the given string."""
  reg_period_start_not_contains: String

  """All values starting with the given string."""
  reg_period_start_starts_with: String

  """All values not starting with the given string."""
  reg_period_start_not_starts_with: String

  """All values ending with the given string."""
  reg_period_start_ends_with: String

  """All values not ending with the given string."""
  reg_period_start_not_ends_with: String
  reg_period_end: String

  """All values that are not equal to given value."""
  reg_period_end_not: String

  """All values that are contained in given list."""
  reg_period_end_in: [String!]

  """All values that are not contained in given list."""
  reg_period_end_not_in: [String!]

  """All values less than the given value."""
  reg_period_end_lt: String

  """All values less than or equal the given value."""
  reg_period_end_lte: String

  """All values greater than the given value."""
  reg_period_end_gt: String

  """All values greater than or equal the given value."""
  reg_period_end_gte: String

  """All values containing the given string."""
  reg_period_end_contains: String

  """All values not containing the given string."""
  reg_period_end_not_contains: String

  """All values starting with the given string."""
  reg_period_end_starts_with: String

  """All values not starting with the given string."""
  reg_period_end_not_starts_with: String

  """All values ending with the given string."""
  reg_period_end_ends_with: String

  """All values not ending with the given string."""
  reg_period_end_not_ends_with: String
  date_start: String

  """All values that are not equal to given value."""
  date_start_not: String

  """All values that are contained in given list."""
  date_start_in: [String!]

  """All values that are not contained in given list."""
  date_start_not_in: [String!]

  """All values less than the given value."""
  date_start_lt: String

  """All values less than or equal the given value."""
  date_start_lte: String

  """All values greater than the given value."""
  date_start_gt: String

  """All values greater than or equal the given value."""
  date_start_gte: String

  """All values containing the given string."""
  date_start_contains: String

  """All values not containing the given string."""
  date_start_not_contains: String

  """All values starting with the given string."""
  date_start_starts_with: String

  """All values not starting with the given string."""
  date_start_not_starts_with: String

  """All values ending with the given string."""
  date_start_ends_with: String

  """All values not ending with the given string."""
  date_start_not_ends_with: String
  date_end: String

  """All values that are not equal to given value."""
  date_end_not: String

  """All values that are contained in given list."""
  date_end_in: [String!]

  """All values that are not contained in given list."""
  date_end_not_in: [String!]

  """All values less than the given value."""
  date_end_lt: String

  """All values less than or equal the given value."""
  date_end_lte: String

  """All values greater than the given value."""
  date_end_gt: String

  """All values greater than or equal the given value."""
  date_end_gte: String

  """All values containing the given string."""
  date_end_contains: String

  """All values not containing the given string."""
  date_end_not_contains: String

  """All values starting with the given string."""
  date_end_starts_with: String

  """All values not starting with the given string."""
  date_end_not_starts_with: String

  """All values ending with the given string."""
  date_end_ends_with: String

  """All values not ending with the given string."""
  date_end_not_ends_with: String
  theme: String

  """All values that are not equal to given value."""
  theme_not: String

  """All values that are contained in given list."""
  theme_in: [String!]

  """All values that are not contained in given list."""
  theme_not_in: [String!]

  """All values less than the given value."""
  theme_lt: String

  """All values less than or equal the given value."""
  theme_lte: String

  """All values greater than the given value."""
  theme_gt: String

  """All values greater than or equal the given value."""
  theme_gte: String

  """All values containing the given string."""
  theme_contains: String

  """All values not containing the given string."""
  theme_not_contains: String

  """All values starting with the given string."""
  theme_starts_with: String

  """All values not starting with the given string."""
  theme_not_starts_with: String

  """All values ending with the given string."""
  theme_ends_with: String

  """All values not ending with the given string."""
  theme_not_ends_with: String
  rules: String

  """All values that are not equal to given value."""
  rules_not: String

  """All values that are contained in given list."""
  rules_in: [String!]

  """All values that are not contained in given list."""
  rules_not_in: [String!]

  """All values less than the given value."""
  rules_lt: String

  """All values less than or equal the given value."""
  rules_lte: String

  """All values greater than the given value."""
  rules_gt: String

  """All values greater than or equal the given value."""
  rules_gte: String

  """All values containing the given string."""
  rules_contains: String

  """All values not containing the given string."""
  rules_not_contains: String

  """All values starting with the given string."""
  rules_starts_with: String

  """All values not starting with the given string."""
  rules_not_starts_with: String

  """All values ending with the given string."""
  rules_ends_with: String

  """All values not ending with the given string."""
  rules_not_ends_with: String
  hackathon: HackathonWhereInput
}

input EditionWhereUniqueInput {
  id: ID
}

type Hackathon implements Node {
  id: ID!
  name: String
}

"""A connection to a list of items."""
type HackathonConnection {
  """Information to aid in pagination."""
  pageInfo: PageInfo!

  """A list of edges."""
  edges: [HackathonEdge]!
  aggregate: AggregateHackathon!
}

input HackathonCreateInput {
  name: String
}

input HackathonCreateOneInput {
  create: HackathonCreateInput
  connect: HackathonWhereUniqueInput
}

"""An edge in a connection."""
type HackathonEdge {
  """The item at the end of the edge."""
  node: Hackathon!

  """A cursor for use in pagination."""
  cursor: String!
}

enum HackathonOrderByInput {
  id_ASC
  id_DESC
  name_ASC
  name_DESC
  updatedAt_ASC
  updatedAt_DESC
  createdAt_ASC
  createdAt_DESC
}

type HackathonPreviousValues {
  id: ID!
  name: String
}

type HackathonSubscriptionPayload {
  mutation: MutationType!
  node: Hackathon
  updatedFields: [String!]
  previousValues: HackathonPreviousValues
}

input HackathonSubscriptionWhereInput {
  """Logical AND on all given filters."""
  AND: [HackathonSubscriptionWhereInput!]

  """Logical OR on all given filters."""
  OR: [HackathonSubscriptionWhereInput!]

  """Logical NOT on all given filters combined by AND."""
  NOT: [HackathonSubscriptionWhereInput!]

  """
  The subscription event gets dispatched when it's listed in mutation_in
  """
  mutation_in: [MutationType!]

  """
  The subscription event gets only dispatched when one of the updated fields names is included in this list
  """
  updatedFields_contains: String

  """
  The subscription event gets only dispatched when all of the field names included in this list have been updated
  """
  updatedFields_contains_every: [String!]

  """
  The subscription event gets only dispatched when some of the field names included in this list have been updated
  """
  updatedFields_contains_some: [String!]
  node: HackathonWhereInput
}

input HackathonUpdateDataInput {
  name: String
}

input HackathonUpdateInput {
  name: String
}

input HackathonUpdateOneInput {
  create: HackathonCreateInput
  connect: HackathonWhereUniqueInput
  delete: Boolean
  update: HackathonUpdateDataInput
  upsert: HackathonUpsertNestedInput
}

input HackathonUpsertNestedInput {
  update: HackathonUpdateDataInput!
  create: HackathonCreateInput!
}

input HackathonWhereInput {
  """Logical AND on all given filters."""
  AND: [HackathonWhereInput!]

  """Logical OR on all given filters."""
  OR: [HackathonWhereInput!]

  """Logical NOT on all given filters combined by AND."""
  NOT: [HackathonWhereInput!]
  id: ID

  """All values that are not equal to given value."""
  id_not: ID

  """All values that are contained in given list."""
  id_in: [ID!]

  """All values that are not contained in given list."""
  id_not_in: [ID!]

  """All values less than the given value."""
  id_lt: ID

  """All values less than or equal the given value."""
  id_lte: ID

  """All values greater than the given value."""
  id_gt: ID

  """All values greater than or equal the given value."""
  id_gte: ID

  """All values containing the given string."""
  id_contains: ID

  """All values not containing the given string."""
  id_not_contains: ID

  """All values starting with the given string."""
  id_starts_with: ID

  """All values not starting with the given string."""
  id_not_starts_with: ID

  """All values ending with the given string."""
  id_ends_with: ID

  """All values not ending with the given string."""
  id_not_ends_with: ID
  name: String

  """All values that are not equal to given value."""
  name_not: String

  """All values that are contained in given list."""
  name_in: [String!]

  """All values that are not contained in given list."""
  name_not_in: [String!]

  """All values less than the given value."""
  name_lt: String

  """All values less than or equal the given value."""
  name_lte: String

  """All values greater than the given value."""
  name_gt: String

  """All values greater than or equal the given value."""
  name_gte: String

  """All values containing the given string."""
  name_contains: String

  """All values not containing the given string."""
  name_not_contains: String

  """All values starting with the given string."""
  name_starts_with: String

  """All values not starting with the given string."""
  name_not_starts_with: String

  """All values ending with the given string."""
  name_ends_with: String

  """All values not ending with the given string."""
  name_not_ends_with: String
  _MagicalBackRelation_EditionToHackathon_every: EditionWhereInput
  _MagicalBackRelation_EditionToHackathon_some: EditionWhereInput
  _MagicalBackRelation_EditionToHackathon_none: EditionWhereInput
}

input HackathonWhereUniqueInput {
  id: ID
  name: String
}

"""
The `Long` scalar type represents non-fractional signed whole numeric values.
Long can represent values between -(2^63) and 2^63 - 1.
"""
scalar Long

type Mutation {
  createEdition(data: EditionCreateInput!): Edition!
  createHackathon(data: HackathonCreateInput!): Hackathon!
  updateEdition(data: EditionUpdateInput!, where: EditionWhereUniqueInput!): Edition
  updateHackathon(data: HackathonUpdateInput!, where: HackathonWhereUniqueInput!): Hackathon
  deleteEdition(where: EditionWhereUniqueInput!): Edition
  deleteHackathon(where: HackathonWhereUniqueInput!): Hackathon
  upsertEdition(where: EditionWhereUniqueInput!, create: EditionCreateInput!, update: EditionUpdateInput!): Edition!
  upsertHackathon(where: HackathonWhereUniqueInput!, create: HackathonCreateInput!, update: HackathonUpdateInput!): Hackathon!
  updateManyEditions(data: EditionUpdateInput!, where: EditionWhereInput): BatchPayload!
  updateManyHackathons(data: HackathonUpdateInput!, where: HackathonWhereInput): BatchPayload!
  deleteManyEditions(where: EditionWhereInput): BatchPayload!
  deleteManyHackathons(where: HackathonWhereInput): BatchPayload!
}

enum MutationType {
  CREATED
  UPDATED
  DELETED
}

"""An object with an ID"""
interface Node {
  """The id of the object."""
  id: ID!
}

"""Information about pagination in a connection."""
type PageInfo {
  """When paginating forwards, are there more items?"""
  hasNextPage: Boolean!

  """When paginating backwards, are there more items?"""
  hasPreviousPage: Boolean!

  """When paginating backwards, the cursor to continue."""
  startCursor: String

  """When paginating forwards, the cursor to continue."""
  endCursor: String
}

type Query {
  editions(where: EditionWhereInput, orderBy: EditionOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Edition]!
  hackathons(where: HackathonWhereInput, orderBy: HackathonOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Hackathon]!
  edition(where: EditionWhereUniqueInput!): Edition
  hackathon(where: HackathonWhereUniqueInput!): Hackathon
  editionsConnection(where: EditionWhereInput, orderBy: EditionOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): EditionConnection!
  hackathonsConnection(where: HackathonWhereInput, orderBy: HackathonOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): HackathonConnection!

  """Fetches an object given its ID"""
  node(
    """The ID of an object"""
    id: ID!
  ): Node
}

type Subscription {
  edition(where: EditionSubscriptionWhereInput): EditionSubscriptionPayload
  hackathon(where: HackathonSubscriptionWhereInput): HackathonSubscriptionPayload
}
